/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Service
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Service {
  @SerializedName("service_id")
  private String serviceId = null;

  @SerializedName("operated_service")
  private String operatedService = null;

  @SerializedName("status")
  private String status = null;

  @SerializedName("provider_assigned")
  private String providerAssigned = null;

  public Service serviceId(String serviceId) {
    this.serviceId = serviceId;
    return this;
  }

   /**
   * Service identifier
   * @return serviceId
  **/
  @ApiModelProperty(example = "1013132345", value = "Service identifier")
  public String getServiceId() {
    return serviceId;
  }

  public void setServiceId(String serviceId) {
    this.serviceId = serviceId;
  }

  public Service operatedService(String operatedService) {
    this.operatedService = operatedService;
    return this;
  }

   /**
   * Name of the service operated
   * @return operatedService
  **/
  @ApiModelProperty(example = "plumbing", value = "Name of the service operated")
  public String getOperatedService() {
    return operatedService;
  }

  public void setOperatedService(String operatedService) {
    this.operatedService = operatedService;
  }

  public Service status(String status) {
    this.status = status;
    return this;
  }

   /**
   * Status of the service. Expected values (PENDING, ASSIGNED, EXECUTED, CANCELLED)
   * @return status
  **/
  @ApiModelProperty(example = "PENDING", value = "Status of the service. Expected values (PENDING, ASSIGNED, EXECUTED, CANCELLED)")
  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public Service providerAssigned(String providerAssigned) {
    this.providerAssigned = providerAssigned;
    return this;
  }

   /**
   * Name of the provider operating the service
   * @return providerAssigned
  **/
  @ApiModelProperty(example = "BLOPBIER PARIS", value = "Name of the provider operating the service")
  public String getProviderAssigned() {
    return providerAssigned;
  }

  public void setProviderAssigned(String providerAssigned) {
    this.providerAssigned = providerAssigned;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Service service = (Service) o;
    return Objects.equals(this.serviceId, service.serviceId) &&
        Objects.equals(this.operatedService, service.operatedService) &&
        Objects.equals(this.status, service.status) &&
        Objects.equals(this.providerAssigned, service.providerAssigned);
  }

  @Override
  public int hashCode() {
    return Objects.hash(serviceId, operatedService, status, providerAssigned);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Service {\n");
    
    sb.append("    serviceId: ").append(toIndentedString(serviceId)).append("\n");
    sb.append("    operatedService: ").append(toIndentedString(operatedService)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    providerAssigned: ").append(toIndentedString(providerAssigned)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

